Subject: bug#4543: window-full-height-p

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Sep 2009 18:55:40 +0300

> Date: Fri, 25 Sep 2009 17:04:10 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > Well, maybe I'm missing something, but this seems quite clear to me.
>  > SET_FRAME_COLS sets both f->text_cols and f->total_cols, the former
>  > counts the width of only the text area of the display, the latter
>  > counts the total frame area that includes the scroll bars and the
>  > fringe.
> 
> It doesn't.  Make a frame with two side-by-side windows with scrollbars.
> Only one scrollbar is counted in f->total_cols.  f->total_cols is an
> artifact whose purpose escapes me so far.  And fringe sizes can be set
> on a per window basis, so counting them seems completely useless.

Look, you asked to explain the subtleties of the code, and I think I
did, as best I could.  I hope what the code does is now clear.
Whether it makes sense or should be modified, is another matter.